/* 
 Project: SIM808 GSM GPRS GPS Bluetooth evolution board (EVB-V3.2)
 Function: Making call
 
 RX is digital pin 2 of Arduino board (connect to TXD of EVB-V3.2)
 TX is digital pin 3 of Arduino board (connect to RXD of EVB-V3.2)
 */
//********************************************
#include <SoftwareSerial.h>//include library code
//********************************************

// Configure software serial port
SoftwareSerial SIM808(2, 3); 

void setup() {
  // Arduino communicates with SIM808 GSM GPRS GPS Bluetooth evolution board (EVB-V3.2) at a baud rate of 9600
  // Make sure that corresponds to the baud rate of your module
  SIM808.begin(9600);
  // Give time to your SIM808 GSM GPRS GPS Bluetooth evolution board (EVB-V3.2) log on to network
  delay(20000);

  // Make the phone call
  callSomeone();
}

void loop() {
  
}

void callSomeone() {
  // REPLACE THE X's WITH THE NUMER YOU WANT TO DIAL
  // USE INTERNATIONAL FORMAT CODE FOR MOBILE NUMBERS
  SIM808.println("ATD + +XXXXXXXXXXX;");
  delay(100);
  SIM808.println();
  
 // In this example, the call only last 30 seconds
 // You can edit the phone call duration in the delay time
  delay(30000);
  // AT command to hang up
  SIM808.println("ATH"); // hang up
}
